Package org.eclipse.jdt.core.search

# Class TypeNameMatch

java.lang.Object
org.eclipse.jdt.core.search.TypeNameMatch

public abstract class TypeNameMatch extends Object
A match collected while `searching` for all type names methods using a `requestor`.

The type of this match is available from `getType()`.

Since:
  3.3
See Also:
  - `TypeNameMatchRequestor`
  - `SearchEngine.searchAllTypeNames(char[], int, char[], int, int, IJavaSearchScope, TypeNameMatchRequestor, int, org.eclipse.core.runtime.IProgressMonitor)`
  - `SearchEngine.searchAllTypeNames(char[][], char[][], IJavaSearchScope, TypeNameMatchRequestor, int, org.eclipse.core.runtime.IProgressMonitor)`
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`TypeNameMatch()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`getAccessibility()`
Returns the accessibility of the type name match
`String`
`getFullyQualifiedName()`
Returns the matched type's fully qualified name using '.' character as separator (e.g. package name + '.' enclosing type names + '.' simple name).
`abstract int`
`getModifiers()`
Returns the modifiers of the matched type.
`IPackageFragmentRoot`
`getPackageFragmentRoot()`
Returns the package fragment root of the stored type.
`String`
`getPackageName()`
Returns the package name of the stored type.
`String`
`getSimpleTypeName()`
Returns the name of the stored type.
`abstract IType`
`getType()`
Returns a java model type handle.
`String`
`getTypeContainerName()`
Name of the type container using '.' character as separator (e.g. package name + '.' + enclosing type names).
`String`
`getTypeQualifiedName()`
Returns the matched type's type qualified name using '.' character as separator (e.g. enclosing type names + '.' + simple name).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeNameMatch

public TypeNameMatch()

## Method Details

### getAccessibility

public abstract int getAccessibility()
Returns the accessibility of the type name match

Returns:
  the accessibility of the type name which may be `IAccessRule.K_ACCESSIBLE`, `IAccessRule.K_DISCOURAGED` or `IAccessRule.K_NON_ACCESSIBLE`. The default returned value is `IAccessRule.K_ACCESSIBLE`.
Since:
  3.6
See Also:
  - `IAccessRule`

### getFullyQualifiedName

public String getFullyQualifiedName()
Returns the matched type's fully qualified name using '.' character as separator (e.g. package name + '.' enclosing type names + '.' simple name).

Returns:
  Fully qualified type name of the type
Throws:
  `NullPointerException` - if matched type is `null`
See Also:
  - `getType()`
  - `IType.getFullyQualifiedName(char)`

### getModifiers

public abstract int getModifiers()
Returns the modifiers of the matched type.

This is a handle-only method as neither Java Model nor classpath initialization is done while calling this method.

Returns:
  the type modifiers

### getPackageFragmentRoot

public IPackageFragmentRoot getPackageFragmentRoot()
Returns the package fragment root of the stored type. Package fragment root cannot be null and does exist.

Returns:
  the existing java model package fragment root (i.e. cannot be `null` and will return `true` to `exists()` message).
Throws:
  `NullPointerException` - if matched type is `null`
See Also:
  - `getType()`
  - `IJavaElement.getAncestor(int)`

### getPackageName

public String getPackageName()
Returns the package name of the stored type.

Returns:
  the package name
Throws:
  `NullPointerException` - if matched type is `null`
See Also:
  - `getType()`
  - `IType.getPackageFragment()`

### getSimpleTypeName

public String getSimpleTypeName()
Returns the name of the stored type.

Returns:
  the type name
Throws:
  `NullPointerException` - if matched type is `null`
See Also:
  - `getType()`
  - `IJavaElement.getElementName()`

### getType

public abstract IType getType()
Returns a java model type handle. This handle may exist or not, but is not supposed to be `null`.

This is a handle-only method as neither Java Model nor classpath initializations are done while calling this method.

Returns:
  the non-null handle on matched java model type.
See Also:
  - `IType`

### getTypeContainerName

public String getTypeContainerName()
Name of the type container using '.' character as separator (e.g. package name + '.' + enclosing type names).

Returns:
  name of the type container
Throws:
  `NullPointerException` - if matched type is `null`
See Also:
  - `getType()`
  - `IMember.getDeclaringType()`

### getTypeQualifiedName

public String getTypeQualifiedName()
Returns the matched type's type qualified name using '.' character as separator (e.g. enclosing type names + '.' + simple name).

Returns:
  fully qualified type name of the type
Throws:
  `NullPointerException` - if matched type is `null`
See Also:
  - `getType()`
  - `IType.getTypeQualifiedName(char)`